package com.template.model.enumModel;

/**
 * @Author: xwt
 * @Date: 2023/7/6 星期四 16:34
 * @Description: com.template.model.enumModel
 * @Version: 1.0
 * 设备类型
 */
public enum eOrgType {
    //学院:1 学段:2 专业:3 班级:4
    College(1),//学院
    Period(2),//学段
    Major(3),//专业
    ClassStr(4);//班级

    private int value;

    eOrgType(int value){
        this.value = value;
    }

    public int getValue() {
        return value;
    }
    public static eOrgType valueOf(int value) {
        switch (value) {
            case 1:
                return eOrgType.College;
            case 2:
                return eOrgType.Period;
            case 3:
                return eOrgType.Major;
            case 4:
                return eOrgType.ClassStr;
            default:
                return null;
        }
    }

    public static String stringOf(Integer value) {
        switch (value) {
            case 1:
                return "学院";
            case 2:
                return "学段";
            case 3:
                return "专业";
            case 4:
                return "班级";
            default:
                return null;
        }
    }
}
